Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155023 - assertion when trying to edit cluster properties
Summary: assertion when trying to edit cluster properties
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 19:01 UTC by Corey Marthaler
Modified: 2009-04-16 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 16:14:39 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-15 19:01:44 UTC
Description of problem:
I clicked on the edit cluster properties and then closed it, and then clicked it
again and got this assertion

/usr/share/system-config-cluster/ConfigTabController.py:358: GtkWarning: file
gtkcontainer.c: line 1285 (gtk_container_foreach): assertion `GTK_IS_CONTAINER
(container)' failed
  self.cluster_props_dlg.show()

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.33-1.0.noarch.rpm

Comment 1 Jim Parsons 2005-04-26 11:44:57 UTC
This must have happened because the dialog 'X' button was clicked to close the
window. The delete event was not being handled -- now it is in 0.9.36-1.0

Comment 2 Corey Marthaler 2005-04-26 16:14:39 UTC
fix verified in 0.9.36.


Note You need to log in before you can comment on or make changes to this bug.